package mobroute

import (
	"git.sr.ht/~mil/mobroute/api/apims"
	"git.sr.ht/~mil/mobroute/api/apiroute"
)

// Functions
var MSInitializeRuntime = apims.MSInitializeRuntime
var MSSourcesetStatus = apims.MSSourcesetStatus
var MSSourcesetLoad = apims.MSSourcesetLoad
var MSSourcesetCompute = apims.MSSourcesetCompute
var MSSourcesetPurge = apims.MSSourcesetPurge
var Route = apiroute.Route

// Vars
var MSPurgeTablesOptionAll = apims.MSPurgeTablesOptionAll
var MSPurgeTablesOptionGTFS = apims.MSPurgeTablesOptionGTFS
var MSPurgeTablesOptionComputed = apims.MSPurgeTablesOptionComputed

// Types
type MSParams = apims.MSParams
type MSRuntimeConfig = apims.RuntimeConfig
type MSSourceStatus = apims.SourceStatus
type MSSourcesetFilter = apims.SourcesetFilter
type RouteParams = apiroute.RouteParams
type RouteResponse = apiroute.RouteResponse
